## Version and Features Information Version and Features Information — Variables and functions to check the poppler version and features |

## Functions

#define | POPPLER_CHECK_VERSION()
PopplerBackend | poppler_get_backend ()
const char * | poppler_get_version ()

## Types and Values

#define | POPPLER_HAS_CAIRO
#define | POPPLER_MAJOR_VERSION
#define | POPPLER_MICRO_VERSION
#define | POPPLER_MINOR_VERSION
enum | PopplerBackend

## Object Hierarchy

        GEnum
        ╰── PopplerBackend

## Includes

    #include <poppler.h>

## Description

Poppler provides version information, and information about features enabled at compile time. This is primarily useful in configure checks for builds that have a configure script, or for allowing code to optionally depend but not require a specific poppler version.

## Functions

### POPPLER_CHECK_VERSION()

    #define             POPPLER_CHECK_VERSION(major,minor,micro)

Checks the version fo the poppler library

#### Parameters

major | major version (e.g. 0 for version 0.1.2) |
minor | minor version (e.g. 1 for version 0.1.2) |
micro | micro version (e.g. 2 for version 0.1.2) |

#### Returns

`TRUE` if the version of the poppler header files is the same as or newer than the passed-in version

Since: 0.12

### poppler_get_backend ()

    PopplerBackend
    poppler_get_backend (void);

Returns the backend compiled into the poppler library.

#### Returns

The backend used by poppler

### poppler_get_version ()

    const char *
    poppler_get_version (void);

Returns the version of poppler in use. This result is not to be freed.

#### Returns

the version of poppler.

## Types and Values

### POPPLER_HAS_CAIRO

    #define POPPLER_HAS_CAIRO 1

Defined if poppler was compiled with cairo support.

### POPPLER_MAJOR_VERSION

    #define POPPLER_MAJOR_VERSION (25)

The major version number of the poppler header files (e.g. in poppler version 0.1.2 this is 0.)

Since: 0.12

### POPPLER_MICRO_VERSION

    #define POPPLER_MICRO_VERSION (1)

The micro version number of the poppler header files (e.g. in poppler version 0.1.2 this is 2.)

Since: 0.12

### POPPLER_MINOR_VERSION

    #define POPPLER_MINOR_VERSION (9)

The major version number of the poppler header files (e.g. in poppler version 0.1.2 this is 1.)

Since: 0.12

### enum PopplerBackend

Backend codes returned by `poppler_get_backend()`.

#### Members

POPPLER_BACKEND_UNKNOWN | Unknown backend |
POPPLER_BACKEND_SPLASH | Splash backend |
POPPLER_BACKEND_CAIRO | Cairo backend |